import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { JsonFilterObjectSchema as JsonFilterObjectSchema } from './JsonFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const proceduretimeslotwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => ProcedureTimeslotWhereInputObjectSchema), z.lazy(() => ProcedureTimeslotWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => ProcedureTimeslotWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => ProcedureTimeslotWhereInputObjectSchema), z.lazy(() => ProcedureTimeslotWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  data: z.lazy(() => JsonFilterObjectSchema).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const ProcedureTimeslotWhereInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotWhereInput> = proceduretimeslotwhereinputSchema as unknown as z.ZodType<Prisma.ProcedureTimeslotWhereInput>;
export const ProcedureTimeslotWhereInputObjectZodSchema = proceduretimeslotwhereinputSchema;
